{
pkgs ? import /home/steveej/src/github/NixOS/nixpkgs {},
name ? "generic",
version,
extraBuildInputs ? [] }: 
let 
  rustPackages = builtins.getAttr "rust${version}" pkgs;
  rustBuildInputs = { rustPackages }: [
      rustPackages.rustc
  ];
  rustShellHook = { rustPackages, name }: ''
      setPS1 rust${version}
      unset name
    '';
in pkgs.stdenv.mkDerivation {
  inherit name;
  buildInputs = extraBuildInputs ++ (rustBuildInputs){ inherit rustPackages; };
  shellHook = (rustShellHook) { inherit name; inherit rustPackages; };
}
